Bug 1595931 - RFE: qemu: support for scsi-disk/ide rotation_rate
Summary: RFE: qemu: support for scsi-disk/ide rotation_rate
Keywords:
Status: NEW
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-27 20:14 UTC by Mai Ling
Modified: 2019-07-04 11:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1498042 None CLOSED RFE: option to mark virtual block device as rotational/non-rotational 2019-07-29 17:34:41 UTC

Description Mai Ling 2018-06-27 20:14:39 UTC
#1498042 has added support for telling the guest the rotation rate of drives.
I'd like to be able to use this with virt-xml.

[root@gw2 vmstore]# virt-xml gwwin --edit --disk rotation_rate=0                                                                                               ERROR    Unknown options ['rotation_rate']

Comment 1 Cole Robinson 2018-06-27 21:41:54 UTC
This needs to be exposed in libvirt first, so reassigning.

This is in qemu 2.11, patch posting was: https://lists.gnu.org/archive/html/qemu-devel/2017-10/msg00697.html

Comment 2 Kevin Olbrich 2019-05-01 22:16:03 UTC
I would really like to see this implemented at the XML layer.
As far as I understand, VMs also get entropy from disks if they are rotating but don't when they are solid state drives.
Windows guests also behave differently if they detect SSD media (virtio-scsi with discard solves this mostly).

There seems to be a workaround (not tested):
https://serverfault.com/a/924717/453453


Note You need to log in before you can comment on or make changes to this bug.